Bug 139963 - [patch] games/wesnoth-devel: update to 1.7.7
Summary: [patch] games/wesnoth-devel: update to 1.7.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-25 16:00 UTC by swell.k
Modified: 2009-11-15 16:50 UTC (History)
0 users

See Also:


Attachments
wesnoth-devel_update_to_1.7.7.diff (3.64 KB, patch)
2009-10-25 16:00 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2009-10-25 16:00:09 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2009-10-25 16:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2009-11-13 20:05:29 UTC
- update to 1.7.8
--- wesnoth-devel_update_to_1.7.8.diff begins here ---
Index: games/wesnoth-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/Makefile,v
retrieving revision 1.76
diff -u -p -r1.76 Makefile
--- games/wesnoth-devel/Makefile	1 Nov 2009 21:30:44 -0000	1.76
+++ games/wesnoth-devel/Makefile	13 Nov 2009 01:09:59 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	wesnoth
-PORTVERSION=	1.7.6
+PORTVERSION=	1.7.8
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION} \
 		http://www.wesnoth.org/files/
@@ -47,7 +47,6 @@ PORTDATA=	*
 
 OPTIONS=	BWMON	 "Enable bandwidth monitoring for server" Off \
 		CAMPAIGN "Enable campaign server"	On \
-		DUMMYLOCALES "Enable wesnoth own locales" Off \
 		EDITOR	 "Enable map editor"		On \
 		FRIBIDI	 "Enable bidirectional support"	On \
 		LOWMEM	 "Reduce memory usage (disables animations)" Off \
@@ -105,12 +104,6 @@ CONFIGURE_ARGS+=	--enable-campaign-serve
 PLIST_SUB+=		CAMPAIGN=""
 .endif
 
-.if defined(WITHOUT_DUMMYLOCALES)
-CONFIGURE_ARGS+=	--disable-dummy-locales
-.else
-CONFIGURE_ARGS+=	--enable-dummy-locales
-.endif
-
 .if defined(WITHOUT_EDITOR)
 CONFIGURE_ARGS+=	--disable-editor
 PLIST_SUB+=		EDITOR="@comment "
Index: games/wesnoth-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/distinfo,v
retrieving revision 1.51
diff -u -p -r1.51 distinfo
--- games/wesnoth-devel/distinfo	1 Oct 2009 09:28:41 -0000	1.51
+++ games/wesnoth-devel/distinfo	13 Nov 2009 00:51:54 -0000
@@ -1,3 +1,3 @@
-MD5 (wesnoth-1.7.6.tar.bz2) = 9f459526affbbfbda94a9f4f8a73406a
-SHA256 (wesnoth-1.7.6.tar.bz2) = 47c7c70b72fe204b11b78adfb7e9ce24ffca70f2b800f4546a9d1e300f0e9df8
-SIZE (wesnoth-1.7.6.tar.bz2) = 269198671
+MD5 (wesnoth-1.7.8.tar.bz2) = e703d6cef63a54d172f4c548e0fc376f
+SHA256 (wesnoth-1.7.8.tar.bz2) = 7ea545f7c9fe15de042ddda1f01b69e8f9bc4d87340cf70af86d861852692075
+SIZE (wesnoth-1.7.8.tar.bz2) = 272319560
Index: games/wesnoth-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/pkg-plist,v
retrieving revision 1.58
diff -u -p -r1.58 pkg-plist
--- games/wesnoth-devel/pkg-plist	1 Oct 2009 09:28:41 -0000	1.58
+++ games/wesnoth-devel/pkg-plist	25 Oct 2009 11:04:20 -0000
@@ -243,6 +243,29 @@ share/pixmaps/wesnoth-icon.png
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-units.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-did.mo
@@ -1213,6 +1236,8 @@ share/pixmaps/wesnoth-icon.png
 @dirrmtry share/applications
 %%NLS%%@dirrmtry share/locale/ca_ES@valencia/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/ca_ES@valencia
+%%NLS%%@dirrmtry share/locale/en@shaw/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/en@shaw
 %%NLS%%@dirrmtry share/locale/fur_IT/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/fur_IT
 %%NLS%%@dirrmtry share/locale/la/LC_MESSAGES
--- wesnoth-devel_update_to_1.7.8.diff ends here ---
Comment 3 Philip Paeps freebsd_committer 2009-11-15 16:44:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-11-15 16:44:29 UTC
philip      2009-11-15 16:44:14 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth-devel  Makefile distinfo pkg-plist 
  Log:
  Update to 1.7.8.
  
  http://svn.gna.org/viewcvs/wesnoth/tags/1.7.8/changelog?rev=39668&view=download
  
  PR:             ports/139963
  Submitted by:   Anonymous <swell.k@gmail.com>
  
  Revision  Changes    Path
  1.77      +1 -8      ports/games/wesnoth-devel/Makefile
  1.52      +3 -3      ports/games/wesnoth-devel/distinfo
  1.59      +25 -0     ports/games/wesnoth-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"